com.tibbo.aggregate.common.server

## Class ClusterCoordinatorContextConstants

- java.lang.Object
- - com.tibbo.aggregate.common.server.ClusterCoordinatorContextConstants

-     public class ClusterCoordinatorContextConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_STATUS`
    `static java.lang.String` | `ADDRESS`
    `static int` | `CONTEXT_CREATED`
    `static int` | `CONTEXT_DELETED`
    `static int` | `CONTEXT_REPLACED`
    `static int` | `CONTEXT_SKIPPED`
    `static int` | `CONTEXT_UPDATED`
    `static java.lang.String` | `DEFAULT_STORAGE_PATH`
    `static java.lang.String` | `F_ADD_PRIMARY_NODE`
    `static java.lang.String` | `F_ADD_RESOURCE`
    `static java.lang.String` | `F_ADD_TENANT`
    `static java.lang.String` | `F_ALLOCATE_NODE`
    `static java.lang.String` | `F_CHECK_RESOURCE_NAME_AVAILABILITY`
    `static java.lang.String` | `F_DEPLOY_APPLICATION`
    `static java.lang.String` | `F_DROP_TABLE`
    `static java.lang.String` | `F_GET_CONFIGURATION`
    `static java.lang.String` | `F_GET_NODE`
    `static java.lang.String` | `F_GET_PERMISSIONS`
    `static java.lang.String` | `F_GET_RESOURCES`
    `static java.lang.String` | `F_MIGRATE_RESOURCES`
    `static java.lang.String` | `F_REGISTER_APPLICATION`
    `static java.lang.String` | `F_REMOVE_PRIMARY_NODE`
    `static java.lang.String` | `F_REMOVE_RESOURCE`
    `static java.lang.String` | `F_REMOVE_TENANT`
    `static java.lang.String` | `F_SCAN_RESOURCES`
    `static java.lang.String` | `F_SWITCH_APPLICATION`
    `static java.lang.String` | `F_UNDEPLOY_APPLICATION`
    `static java.lang.String` | `F_UNREGISTER_APPLICATION`
    `static java.lang.String` | `F_UPDATE_APPLICATION`
    `static java.lang.String` | `FIELD_CONTEXT_TYPE`
    `static java.lang.String` | `FIELD_ERROR`
    `static java.lang.String` | `FIELD_MODIFICATION_TYPE`
    `static java.lang.String` | `FIELD_STATUS_OR_ERROR`
    `static java.lang.String` | `FIELD_SUCCESSFULLY`
    `static java.lang.String` | `FIELD_TARGET`
    `static java.lang.String` | `FIF_ADD_PRIMARY_NODE_TENANT_UID`
    `static java.lang.String` | `FIF_ADD_RESOURCE_ORG_UNIT_UID`
    `static java.lang.String` | `FIF_ADD_RESOURCE_PATH`
    `static java.lang.String` | `FIF_ADD_RESOURCE_TENANT_UID`
    `static java.lang.String` | `FIF_ADD_RESOURCE_USER_UID`
    `static java.lang.String` | `FIF_ADD_TENANT_DESCRIPTION`
    `static java.lang.String` | `FIF_ADD_TENANT_UID`
    `static java.lang.String` | `FIF_ALLOCATE_NODE_DEFAULT_TABLE`
    `static java.lang.String` | `FIF_CHECK_RESOURCE_NAME_AVAILABILITY_RESOURCE_PATH`
    `static java.lang.String` | `FIF_CHECK_RESOURCE_NAME_AVAILABILITY_TENANT_UID`
    `static java.lang.String` | `FIF_DROP_TABLE_INDEX_NAME`
    `static java.lang.String` | `FIF_DROP_TABLE_TABLE_NAME`
    `static java.lang.String` | `FIF_GET_RESOURCES_ORG_UNIT_UID`
    `static java.lang.String` | `FIF_GET_RESOURCES_TENANT_UID`
    `static java.lang.String` | `FIF_GET_RESOURCES_USER_UID`
    `static java.lang.String` | `FIF_HANDLING_EXISTING_CONTEXTS`
    `static java.lang.String` | `FIF_MIGRATE_RESOURCES_LIST`
    `static java.lang.String` | `FIF_MIGRATE_RESOURCES_PRIMARY_NODE_UID`
    `static java.lang.String` | `FIF_MIGRATE_RESOURCES_TENANT_UID`
    `static java.lang.String` | `FIF_REMOVE_RESOURCE_NODE_UID`
    `static java.lang.String` | `FIF_REMOVE_RESOURCE_PATH`
    `static java.lang.String` | `FIF_REMOVE_RESOURCE_TENANT_UID`
    `static java.lang.String` | `FIF_REMOVE_TENANT_UID`
    `static java.lang.String` | `FIF_SCAN_RESOURCES_FILTERS`
    `static java.lang.String` | `FIF_SCAN_RESOURCES_PRIMARY_NODE_UID`
    `static java.lang.String` | `FIF_SCAN_RESOURCES_TENANT_UID`
    `static java.lang.String` | `FIFT_APPLICATION_NAME`
    `static java.lang.String` | `FIFT_APPLICATION_PARAMETERS`
    `static java.lang.String` | `FIFT_APPLICATION_PASSWORD`
    `static java.lang.String` | `FIFT_APPLICATION_PATH`
    `static java.lang.String` | `FIFT_APPLICATION_SERVER_TENANT_UID`
    `static java.lang.String` | `FIFT_APPLICATION_USERNAME`
    `static java.lang.String` | `FOF_APPLICATION_FUNCTION_RESULT`
    `static java.lang.String` | `FOF_CHECK_RESOURCE_NAME_AVAILABILITY_AVAILABLE`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_IP_ADDRESS`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_LOGIN`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_PASSWORD`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_PORT`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES_CONTEXT_PATH`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES_PERMISSION_LEVEL`
    `static java.lang.String` | `FOF_GET_RESOURCES_PRIMARY_NODE_UID`
    `static java.lang.String` | `FOF_PRIMARY_NODE_ADDED_STATUS`
    `static java.lang.String` | `FOF_PRIMARY_NODE_REMOVED_STATUS`
    `static java.lang.String` | `ID`
    `static java.lang.String` | `PORT`
    `static int` | `REPLACE`
    `static int` | `SKIP`
    `static int` | `UPDATE`
    `static java.lang.String` | `V_ALLOCATION_RULES`
    `static java.lang.String` | `V_APPLICATION_SERVERS`
    `static java.lang.String` | `V_COMMON_CONTEXTS`
    `static java.lang.String` | `V_COORDINATOR`
    `static java.lang.String` | `V_ENABLED`
    `static java.lang.String` | `V_KEY`
    `static java.lang.String` | `V_NAME`
    `static java.lang.String` | `V_NODE_CONFIGURATION`
    `static java.lang.String` | `V_NODE_UID`
    `static java.lang.Integer` | `V_NONE`
    `static java.lang.String` | `V_PATH`
    `static java.lang.String` | `V_PRIMARY_NODES`
    `static java.lang.String` | `V_PRIMARY_NODES_METRICS`
    `static java.lang.String` | `V_RESOURCE_TYPE`
    `static java.lang.String` | `V_ROUND_ROBIN`
    `static java.lang.Integer` | `V_SESSION_RESOURCE`
    `static java.lang.Integer` | `V_TEMPLATE`
    `static java.lang.String` | `V_VALUE`
    `static int` | `VARIABLE_SET`
    `static java.lang.String` | `VF_ALLOCATION_RULES_COMMENT`
    `static java.lang.String` | `VF_ALLOCATION_RULES_CONDITION`
    `static java.lang.String` | `VF_ALLOCATION_RULES_EXPRESSION`
    `static java.lang.String` | `VF_APPLICATION_DEPENDENCIES`
    `static java.lang.String` | `VF_APPLICATION_DEPENDENCY`
    `static java.lang.String` | `VF_APPLICATION_RESOURCE`
    `static java.lang.String` | `VF_APPLICATION_SERVER_UID`
    `static java.lang.String` | `VF_APPLICATION_SERVERS_IP_ADDRESS`
    `static java.lang.String` | `VF_APPLICATION_SERVERS_LOGIN`
    `static java.lang.String` | `VF_APPLICATION_SERVERS_PASSWORD`
    `static java.lang.String` | `VF_APPLICATION_SERVERS_PORT`
    `static java.lang.String` | `VF_CACHE_DESCRIPTION`
    `static java.lang.String` | `VF_CACHE_TABLE`
    `static java.lang.String` | `VF_CACHE_TYPE`
    `static java.lang.String` | `VF_COMMON_CONTEXT_DESCRIPTION`
    `static java.lang.String` | `VF_COMMON_CONTEXT_NAME`
    `static java.lang.String` | `VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS`
    `static java.lang.String` | `VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS_PROPERTY`
    `static java.lang.String` | `VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS_VALUE`
    `static java.lang.String` | `VF_COORDINATOR_BACKUPS`
    `static java.lang.String` | `VF_COORDINATOR_CACHE_PROPERTIES`
    `static java.lang.String` | `VF_COORDINATOR_DATABASE_URL`
    `static java.lang.String` | `VF_COORDINATOR_ENABLED`
    `static java.lang.String` | `VF_COORDINATOR_JDBC_DRIVER_CLASS`
    `static java.lang.String` | `VF_COORDINATOR_NODE_ADDRESSES`
    `static java.lang.String` | `VF_COORDINATOR_NODE_ADDRESSES_ADDRESS`
    `static java.lang.String` | `VF_COORDINATOR_NODE_NAME`
    `static java.lang.String` | `VF_COORDINATOR_POOL_INCREMENT`
    `static java.lang.String` | `VF_COORDINATOR_POOL_MAX_SIZE`
    `static java.lang.String` | `VF_COORDINATOR_POOL_MIN_SIZE`
    `static java.lang.String` | `VF_COORDINATOR_STORAGE_PATH`
    `static java.lang.String` | `VF_MIGRATE_RESOURCES_SERVER_TO`
    `static java.lang.String` | `VF_NODES_METRICS_LAST_CONNECTION_TIME`
    `static java.lang.String` | `VF_NODES_METRICS_PING`
    `static java.lang.String` | `VF_NODES_METRICS_STATUS`
    `static java.lang.String` | `VF_NODES_METRICS_STATUS_DESCRIPTION`
    `static java.lang.String` | `VF_PRIMARY_NODES_IP_ADDRESS`
    `static java.lang.String` | `VF_PRIMARY_NODES_LOGIN`
    `static java.lang.String` | `VF_PRIMARY_NODES_PASSWORD`
    `static java.lang.String` | `VF_PRIMARY_NODES_PORT`
    `static java.lang.String` | `VF_PRIMARY_NODES_UID`
    `static java.lang.String` | `VF_PRIMARY_NODES_WEIGHT`
    `static java.lang.String` | `VF_SCAN_RESOURCES_FILTER_EXPRESSION`
    `static java.lang.String` | `VF_SCAN_RESOURCES_FILTER_MASK`
    `static java.lang.String` | `VF_STORAGE_DESCRIPTION`
    `static java.lang.String` | `VF_STORAGE_PROPERTIES`
    `static java.lang.String` | `VF_STORAGE_TABLE`
    `static java.lang.String` | `VF_STORAGE_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterCoordinatorContextConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### SKIP

          public static final int SKIP

      See Also:
        Constant Field Values

    - #### REPLACE

          public static final int REPLACE

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final int UPDATE

      See Also:
        Constant Field Values

    - #### CONTEXT_CREATED

          public static final int CONTEXT_CREATED

      See Also:
        Constant Field Values

    - #### CONTEXT_DELETED

          public static final int CONTEXT_DELETED

      See Also:
        Constant Field Values

    - #### CONTEXT_SKIPPED

          public static final int CONTEXT_SKIPPED

      See Also:
        Constant Field Values

    - #### CONTEXT_REPLACED

          public static final int CONTEXT_REPLACED

      See Also:
        Constant Field Values

    - #### CONTEXT_UPDATED

          public static final int CONTEXT_UPDATED

      See Also:
        Constant Field Values

    - #### VARIABLE_SET

          public static final int VARIABLE_SET

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final java.lang.String ADDRESS

      See Also:
        Constant Field Values

    - #### PORT

          public static final java.lang.String PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_STORAGE_PATH

          public static final java.lang.String DEFAULT_STORAGE_PATH

      See Also:
        Constant Field Values

    - #### A_STATUS

          public static final java.lang.String A_STATUS

      See Also:
        Constant Field Values

    - #### V_VALUE

          public static final java.lang.String V_VALUE

      See Also:
        Constant Field Values

    - #### V_NAME

          public static final java.lang.String V_NAME

      See Also:
        Constant Field Values

    - #### V_ROUND_ROBIN

          public static final java.lang.String V_ROUND_ROBIN

      See Also:
        Constant Field Values

    - #### FIELD_TARGET

          public static final java.lang.String FIELD_TARGET

      See Also:
        Constant Field Values

    - #### FIELD_SUCCESSFULLY

          public static final java.lang.String FIELD_SUCCESSFULLY

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT_TYPE

          public static final java.lang.String FIELD_CONTEXT_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_MODIFICATION_TYPE

          public static final java.lang.String FIELD_MODIFICATION_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_STATUS_OR_ERROR

          public static final java.lang.String FIELD_STATUS_OR_ERROR

      See Also:
        Constant Field Values

    - #### FIELD_ERROR

          public static final java.lang.String FIELD_ERROR

      See Also:
        Constant Field Values

    - #### V_NONE

          public static final java.lang.Integer V_NONE

    - #### V_SESSION_RESOURCE

          public static final java.lang.Integer V_SESSION_RESOURCE

    - #### V_TEMPLATE

          public static final java.lang.Integer V_TEMPLATE

    - #### V_RESOURCE_TYPE

          public static final java.lang.String V_RESOURCE_TYPE

      See Also:
        Constant Field Values

    - #### V_ENABLED

          public static final java.lang.String V_ENABLED

      See Also:
        Constant Field Values

    - #### V_KEY

          public static final java.lang.String V_KEY

      See Also:
        Constant Field Values

    - #### V_PATH

          public static final java.lang.String V_PATH

      See Also:
        Constant Field Values

    - #### V_NODE_UID

          public static final java.lang.String V_NODE_UID

      See Also:
        Constant Field Values

    - #### V_COORDINATOR

          public static final java.lang.String V_COORDINATOR

      See Also:
        Constant Field Values

    - #### V_PRIMARY_NODES

          public static final java.lang.String V_PRIMARY_NODES

      See Also:
        Constant Field Values

    - #### V_APPLICATION_SERVERS

          public static final java.lang.String V_APPLICATION_SERVERS

      See Also:
        Constant Field Values

    - #### V_COMMON_CONTEXTS

          public static final java.lang.String V_COMMON_CONTEXTS

      See Also:
        Constant Field Values

    - #### V_NODE_CONFIGURATION

          public static final java.lang.String V_NODE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### V_ALLOCATION_RULES

          public static final java.lang.String V_ALLOCATION_RULES

      See Also:
        Constant Field Values

    - #### F_ADD_TENANT

          public static final java.lang.String F_ADD_TENANT

      See Also:
        Constant Field Values

    - #### F_REMOVE_TENANT

          public static final java.lang.String F_REMOVE_TENANT

      See Also:
        Constant Field Values

    - #### F_ADD_RESOURCE

          public static final java.lang.String F_ADD_RESOURCE

      See Also:
        Constant Field Values

    - #### F_ALLOCATE_NODE

          public static final java.lang.String F_ALLOCATE_NODE

      See Also:
        Constant Field Values

    - #### F_CHECK_RESOURCE_NAME_AVAILABILITY

          public static final java.lang.String F_CHECK_RESOURCE_NAME_AVAILABILITY

      See Also:
        Constant Field Values

    - #### F_REMOVE_RESOURCE

          public static final java.lang.String F_REMOVE_RESOURCE

      See Also:
        Constant Field Values

    - #### F_GET_RESOURCES

          public static final java.lang.String F_GET_RESOURCES

      See Also:
        Constant Field Values

    - #### F_GET_PERMISSIONS

          public static final java.lang.String F_GET_PERMISSIONS

      See Also:
        Constant Field Values

    - #### F_REGISTER_APPLICATION

          public static final java.lang.String F_REGISTER_APPLICATION

      See Also:
        Constant Field Values

    - #### F_UNREGISTER_APPLICATION

          public static final java.lang.String F_UNREGISTER_APPLICATION

      See Also:
        Constant Field Values

    - #### F_UPDATE_APPLICATION

          public static final java.lang.String F_UPDATE_APPLICATION

      See Also:
        Constant Field Values

    - #### F_DEPLOY_APPLICATION

          public static final java.lang.String F_DEPLOY_APPLICATION

      See Also:
        Constant Field Values

    - #### F_UNDEPLOY_APPLICATION

          public static final java.lang.String F_UNDEPLOY_APPLICATION

      See Also:
        Constant Field Values

    - #### F_ADD_PRIMARY_NODE

          public static final java.lang.String F_ADD_PRIMARY_NODE

      See Also:
        Constant Field Values

    - #### F_REMOVE_PRIMARY_NODE

          public static final java.lang.String F_REMOVE_PRIMARY_NODE

      See Also:
        Constant Field Values

    - #### F_SWITCH_APPLICATION

          public static final java.lang.String F_SWITCH_APPLICATION

      See Also:
        Constant Field Values

    - #### F_GET_CONFIGURATION

          public static final java.lang.String F_GET_CONFIGURATION

      See Also:
        Constant Field Values

    - #### F_DROP_TABLE

          public static final java.lang.String F_DROP_TABLE

      See Also:
        Constant Field Values

    - #### F_MIGRATE_RESOURCES

          public static final java.lang.String F_MIGRATE_RESOURCES

      See Also:
        Constant Field Values

    - #### F_SCAN_RESOURCES

          public static final java.lang.String F_SCAN_RESOURCES

      See Also:
        Constant Field Values

    - #### F_GET_NODE

          public static final java.lang.String F_GET_NODE

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_ENABLED

          public static final java.lang.String VF_COORDINATOR_ENABLED

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_NODE_NAME

          public static final java.lang.String VF_COORDINATOR_NODE_NAME

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_STORAGE_PATH

          public static final java.lang.String VF_COORDINATOR_STORAGE_PATH

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_BACKUPS

          public static final java.lang.String VF_COORDINATOR_BACKUPS

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_NODE_ADDRESSES

          public static final java.lang.String VF_COORDINATOR_NODE_ADDRESSES

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_NODE_ADDRESSES_ADDRESS

          public static final java.lang.String VF_COORDINATOR_NODE_ADDRESSES_ADDRESS

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_DATABASE_URL

          public static final java.lang.String VF_COORDINATOR_DATABASE_URL

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_JDBC_DRIVER_CLASS

          public static final java.lang.String VF_COORDINATOR_JDBC_DRIVER_CLASS

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_POOL_MIN_SIZE

          public static final java.lang.String VF_COORDINATOR_POOL_MIN_SIZE

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_POOL_MAX_SIZE

          public static final java.lang.String VF_COORDINATOR_POOL_MAX_SIZE

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_POOL_INCREMENT

          public static final java.lang.String VF_COORDINATOR_POOL_INCREMENT

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS

          public static final java.lang.String VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS_PROPERTY

          public static final java.lang.String VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS_PROPERTY

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS_VALUE

          public static final java.lang.String VF_COORDINATOR_ADDITIONAL_CONNECTION_PROPS_VALUE

      See Also:
        Constant Field Values

    - #### VF_COORDINATOR_CACHE_PROPERTIES

          public static final java.lang.String VF_COORDINATOR_CACHE_PROPERTIES

      See Also:
        Constant Field Values

    - #### VF_CACHE_TYPE

          public static final java.lang.String VF_CACHE_TYPE

      See Also:
        Constant Field Values

    - #### VF_CACHE_DESCRIPTION

          public static final java.lang.String VF_CACHE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_CACHE_TABLE

          public static final java.lang.String VF_CACHE_TABLE

      See Also:
        Constant Field Values

    - #### VF_STORAGE_TYPE

          public static final java.lang.String VF_STORAGE_TYPE

      See Also:
        Constant Field Values

    - #### VF_STORAGE_DESCRIPTION

          public static final java.lang.String VF_STORAGE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_STORAGE_PROPERTIES

          public static final java.lang.String VF_STORAGE_PROPERTIES

      See Also:
        Constant Field Values

    - #### VF_STORAGE_TABLE

          public static final java.lang.String VF_STORAGE_TABLE

      See Also:
        Constant Field Values

    - #### VF_PRIMARY_NODES_UID

          public static final java.lang.String VF_PRIMARY_NODES_UID

      See Also:
        Constant Field Values

    - #### VF_PRIMARY_NODES_IP_ADDRESS

          public static final java.lang.String VF_PRIMARY_NODES_IP_ADDRESS

      See Also:
        Constant Field Values

    - #### VF_PRIMARY_NODES_PORT

          public static final java.lang.String VF_PRIMARY_NODES_PORT

      See Also:
        Constant Field Values

    - #### VF_PRIMARY_NODES_LOGIN

          public static final java.lang.String VF_PRIMARY_NODES_LOGIN

      See Also:
        Constant Field Values

    - #### VF_PRIMARY_NODES_PASSWORD

          public static final java.lang.String VF_PRIMARY_NODES_PASSWORD

      See Also:
        Constant Field Values

    - #### V_PRIMARY_NODES_METRICS

          public static final java.lang.String V_PRIMARY_NODES_METRICS

      See Also:
        Constant Field Values

    - #### VF_PRIMARY_NODES_WEIGHT

          public static final java.lang.String VF_PRIMARY_NODES_WEIGHT

      See Also:
        Constant Field Values

    - #### VF_NODES_METRICS_PING

          public static final java.lang.String VF_NODES_METRICS_PING

      See Also:
        Constant Field Values

    - #### VF_NODES_METRICS_STATUS

          public static final java.lang.String VF_NODES_METRICS_STATUS

      See Also:
        Constant Field Values

    - #### VF_NODES_METRICS_STATUS_DESCRIPTION

          public static final java.lang.String VF_NODES_METRICS_STATUS_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_NODES_METRICS_LAST_CONNECTION_TIME

          public static final java.lang.String VF_NODES_METRICS_LAST_CONNECTION_TIME

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_SERVER_UID

          public static final java.lang.String VF_APPLICATION_SERVER_UID

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_SERVERS_IP_ADDRESS

          public static final java.lang.String VF_APPLICATION_SERVERS_IP_ADDRESS

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_SERVERS_PORT

          public static final java.lang.String VF_APPLICATION_SERVERS_PORT

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_SERVERS_LOGIN

          public static final java.lang.String VF_APPLICATION_SERVERS_LOGIN

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_SERVERS_PASSWORD

          public static final java.lang.String VF_APPLICATION_SERVERS_PASSWORD

      See Also:
        Constant Field Values

    - #### VF_COMMON_CONTEXT_NAME

          public static final java.lang.String VF_COMMON_CONTEXT_NAME

      See Also:
        Constant Field Values

    - #### VF_COMMON_CONTEXT_DESCRIPTION

          public static final java.lang.String VF_COMMON_CONTEXT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_RESOURCE

          public static final java.lang.String VF_APPLICATION_RESOURCE

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_DEPENDENCIES

          public static final java.lang.String VF_APPLICATION_DEPENDENCIES

      See Also:
        Constant Field Values

    - #### VF_APPLICATION_DEPENDENCY

          public static final java.lang.String VF_APPLICATION_DEPENDENCY

      See Also:
        Constant Field Values

    - #### VF_ALLOCATION_RULES_EXPRESSION

          public static final java.lang.String VF_ALLOCATION_RULES_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_ALLOCATION_RULES_CONDITION

          public static final java.lang.String VF_ALLOCATION_RULES_CONDITION

      See Also:
        Constant Field Values

    - #### VF_ALLOCATION_RULES_COMMENT

          public static final java.lang.String VF_ALLOCATION_RULES_COMMENT

      See Also:
        Constant Field Values

    - #### VF_MIGRATE_RESOURCES_SERVER_TO

          public static final java.lang.String VF_MIGRATE_RESOURCES_SERVER_TO

      See Also:
        Constant Field Values

    - #### FIF_ADD_TENANT_UID

          public static final java.lang.String FIF_ADD_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_ADD_TENANT_DESCRIPTION

          public static final java.lang.String FIF_ADD_TENANT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIF_REMOVE_TENANT_UID

          public static final java.lang.String FIF_REMOVE_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_ADD_RESOURCE_TENANT_UID

          public static final java.lang.String FIF_ADD_RESOURCE_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_ADD_RESOURCE_ORG_UNIT_UID

          public static final java.lang.String FIF_ADD_RESOURCE_ORG_UNIT_UID

      See Also:
        Constant Field Values

    - #### FIF_ADD_RESOURCE_USER_UID

          public static final java.lang.String FIF_ADD_RESOURCE_USER_UID

      See Also:
        Constant Field Values

    - #### FIF_ADD_RESOURCE_PATH

          public static final java.lang.String FIF_ADD_RESOURCE_PATH

      See Also:
        Constant Field Values

    - #### FIF_ALLOCATE_NODE_DEFAULT_TABLE

          public static final java.lang.String FIF_ALLOCATE_NODE_DEFAULT_TABLE

      See Also:
        Constant Field Values

    - #### FIF_ADD_PRIMARY_NODE_TENANT_UID

          public static final java.lang.String FIF_ADD_PRIMARY_NODE_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_MIGRATE_RESOURCES_TENANT_UID

          public static final java.lang.String FIF_MIGRATE_RESOURCES_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_MIGRATE_RESOURCES_PRIMARY_NODE_UID

          public static final java.lang.String FIF_MIGRATE_RESOURCES_PRIMARY_NODE_UID

      See Also:
        Constant Field Values

    - #### FIF_MIGRATE_RESOURCES_LIST

          public static final java.lang.String FIF_MIGRATE_RESOURCES_LIST

      See Also:
        Constant Field Values

    - #### FIF_SCAN_RESOURCES_PRIMARY_NODE_UID

          public static final java.lang.String FIF_SCAN_RESOURCES_PRIMARY_NODE_UID

      See Also:
        Constant Field Values

    - #### FIF_SCAN_RESOURCES_TENANT_UID

          public static final java.lang.String FIF_SCAN_RESOURCES_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_SCAN_RESOURCES_FILTERS

          public static final java.lang.String FIF_SCAN_RESOURCES_FILTERS

      See Also:
        Constant Field Values

    - #### VF_SCAN_RESOURCES_FILTER_EXPRESSION

          public static final java.lang.String VF_SCAN_RESOURCES_FILTER_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_SCAN_RESOURCES_FILTER_MASK

          public static final java.lang.String VF_SCAN_RESOURCES_FILTER_MASK

      See Also:
        Constant Field Values

    - #### FIF_CHECK_RESOURCE_NAME_AVAILABILITY_TENANT_UID

          public static final java.lang.String FIF_CHECK_RESOURCE_NAME_AVAILABILITY_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_CHECK_RESOURCE_NAME_AVAILABILITY_RESOURCE_PATH

          public static final java.lang.String FIF_CHECK_RESOURCE_NAME_AVAILABILITY_RESOURCE_PATH

      See Also:
        Constant Field Values

    - #### FIF_REMOVE_RESOURCE_TENANT_UID

          public static final java.lang.String FIF_REMOVE_RESOURCE_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_REMOVE_RESOURCE_PATH

          public static final java.lang.String FIF_REMOVE_RESOURCE_PATH

      See Also:
        Constant Field Values

    - #### FIF_REMOVE_RESOURCE_NODE_UID

          public static final java.lang.String FIF_REMOVE_RESOURCE_NODE_UID

      See Also:
        Constant Field Values

    - #### FIF_GET_RESOURCES_TENANT_UID

          public static final java.lang.String FIF_GET_RESOURCES_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIF_GET_RESOURCES_ORG_UNIT_UID

          public static final java.lang.String FIF_GET_RESOURCES_ORG_UNIT_UID

      See Also:
        Constant Field Values

    - #### FIF_GET_RESOURCES_USER_UID

          public static final java.lang.String FIF_GET_RESOURCES_USER_UID

      See Also:
        Constant Field Values

    - #### FIF_DROP_TABLE_TABLE_NAME

          public static final java.lang.String FIF_DROP_TABLE_TABLE_NAME

      See Also:
        Constant Field Values

    - #### FIF_DROP_TABLE_INDEX_NAME

          public static final java.lang.String FIF_DROP_TABLE_INDEX_NAME

      See Also:
        Constant Field Values

    - #### FIFT_APPLICATION_NAME

          public static final java.lang.String FIFT_APPLICATION_NAME

      See Also:
        Constant Field Values

    - #### FIFT_APPLICATION_SERVER_TENANT_UID

          public static final java.lang.String FIFT_APPLICATION_SERVER_TENANT_UID

      See Also:
        Constant Field Values

    - #### FIFT_APPLICATION_PATH

          public static final java.lang.String FIFT_APPLICATION_PATH

      See Also:
        Constant Field Values

    - #### FIFT_APPLICATION_USERNAME

          public static final java.lang.String FIFT_APPLICATION_USERNAME

      See Also:
        Constant Field Values

    - #### FIFT_APPLICATION_PASSWORD

          public static final java.lang.String FIFT_APPLICATION_PASSWORD

      See Also:
        Constant Field Values

    - #### FIFT_APPLICATION_PARAMETERS

          public static final java.lang.String FIFT_APPLICATION_PARAMETERS

      See Also:
        Constant Field Values

    - #### FOF_CHECK_RESOURCE_NAME_AVAILABILITY_AVAILABLE

          public static final java.lang.String FOF_CHECK_RESOURCE_NAME_AVAILABILITY_AVAILABLE

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_UID

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_UID

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_IP_ADDRESS

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_IP_ADDRESS

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_PORT

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_PORT

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_LOGIN

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_LOGIN

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_PASSWORD

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_PASSWORD

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES_CONTEXT_PATH

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES_CONTEXT_PATH

      See Also:
        Constant Field Values

    - #### FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES_PERMISSION_LEVEL

          public static final java.lang.String FOF_GET_RESOURCES_PRIMARY_NODE_RESOURCES_PERMISSION_LEVEL

      See Also:
        Constant Field Values

    - #### FOF_PRIMARY_NODE_ADDED_STATUS

          public static final java.lang.String FOF_PRIMARY_NODE_ADDED_STATUS

      See Also:
        Constant Field Values

    - #### FOF_PRIMARY_NODE_REMOVED_STATUS

          public static final java.lang.String FOF_PRIMARY_NODE_REMOVED_STATUS

      See Also:
        Constant Field Values

    - #### FIF_HANDLING_EXISTING_CONTEXTS

          public static final java.lang.String FIF_HANDLING_EXISTING_CONTEXTS

      See Also:
        Constant Field Values

    - #### FOF_APPLICATION_FUNCTION_RESULT

          public static final java.lang.String FOF_APPLICATION_FUNCTION_RESULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClusterCoordinatorContextConstants

          public ClusterCoordinatorContextConstants()